﻿$ErrorActionPreference = 'Stop';

$PackageName  = $env:ChocolateyPackageName
$App = $PackageName.Split(".")[0]
$InstallDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$PackageArgs = @{
  PackageName   = $PackageName
  UnzipLocation = $InstallDir
  FileType      = 'exe'
  Url           = "https://github.com/chylex/TweetDuck/releases/download/1.18.4/TweetDuck.exe"

  SoftwareName  = 'tweetduck*'

  Checksum      = "81e6d9d54ffaad2bbe5500be17e7f0911e19fd43915d18e0f9b96c348fb50064949765018970e642939c4e1ee60144d34497b5ee977bcff48e8a993ae14bb0a4"
  ChecksumType  = 'sha512'
  
  SilentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
  ValidExitCodes= @(0)
}

Install-ChocolateyPackage @PackageArgs
$InstallLocation = Get-AppInstallLocation "$PackageName*"

Write-Host "$PackageName registered as $App"